Package Details: mhwaveedit r476.e7caba3-1

Git Clone URL: https://aur.archlinux.org/mhwaveedit.git (read-only)
Package Base: mhwaveedit
Description: mhWaveEdit is a graphical program for editing, playing and recording sound files.
Upstream URL: https://github.com/magnush/mhwaveedit/
Licenses: GPL
Submitter: blip
Maintainer: blip
Last Packager: blip
Votes: 5
Popularity: 0.000966
First Submitted: 2015-08-23 12:17
Last Updated: 2017-06-15 08:45

Latest Comments

blip commented on 2017-06-16 13:30

Yes, I am having trouble building mhwaveedit, too.
This seems to be not Arch Linux related, but a bug in their configure script and should be reported on the project page. Since mhwaveedit seems mostly unmaintained
these days, I'm not sure whether that helps, though.
I'm currently not having the time fixing this.

DrTebi commented on 2017-06-16 13:08

On a fresh install of Arch Linux I am having trouble installing mhwaveedit:

==> Making package: mhwaveedit r476.e7caba3-1 (Fri Jun 16 06:06:54 PDT 2017)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Updating mhwaveedit git repo...
Fetching origin
==> Validating source files with sha256sums...
mhwaveedit ... Skipped
==> Extracting sources...
-> Creating working copy of mhwaveedit git repo...
Switched to a new branch 'makepkg'
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
aclocal: warning: autoconf input should be named 'configure.ac', not 'configure.in'
m4/gtk.m4:7: warning: underquoted definition of AM_PATH_GTK
m4/gtk.m4:7: run info Automake 'Extending aclocal'
m4/gtk.m4:7: or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
autoreconf: configure.in: AM_GNU_GETTEXT is used, but not AM_GNU_GETTEXT_VERSION
automake: warning: autoconf input should be named 'configure.ac', not 'configure.in'
configure.in:12: warning: AM_INIT_AUTOMAKE: two- and three-arguments forms are deprecated. For more info, see:
configure.in:12: http://www.gnu.org/software/automake/manual/automake.html#Modernize-AM_005fINIT_005fAUTOMAKE-invocation
Makefile.am: error: required file './README' not found
src/Makefile.am:18: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
automake: warning: autoconf input should be named 'configure.ac', not 'configure.in'
autoreconf: automake failed with exit status: 1
==> ERROR: A failure occurred in build().
Aborting...

Any clues would be appreciated!